Bug 991407 - migration of basefd (ptr:0x1e5934c inode-gfid:<file_gfid>) did not complete, failing fop with EBADF warning message in fuse mount logs
migration of basefd (ptr:0x1e5934c inode-gfid:<file_gfid>) did not complete, ...
Status: CLOSED EOL
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: glusterfs (Show other bugs)
2.1
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Bug Updates Notification Mailing List
storage-qa-internal@redhat.com
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-02 07:35 EDT by spandura
Modified: 2015-12-03 12:19 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-03 12:19:22 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description spandura 2013-08-02 07:35:06 EDT
Description of problem:
========================
On a distribute-replicate volume, even after successful remove-brick operation the following warning messages are continuously reported in fuse mount log:

[2013-08-01 04:52:46.045254] W [fuse-bridge.c:2773:fuse_flush_resume] 0-glusterfs-fuse: 645: FLUSH() inode migration of (null) failed (Bad file descriptor)
[2013-08-01 04:52:46.045353] W [fuse-resolve.c:658:fuse_resolve_fd] 0-fuse-resolve: migration of basefd (ptr:0x1e5934c inode-gfid:dc6f0061-59df-4660-bd1f-c6cf4f16734c) did not complete, failing fop with EBADF (old-subvolume:vol-test-0 new-subvolume:vol-test-1)

Version-Release number of selected component (if applicable):
===========================================================
root@king [Aug-02-2013-16:42:27] >rpm -qa | grep glusterfs-server
glusterfs-server-3.4.0.14rhs-1.el6rhs.x86_64

root@king [Aug-02-2013-16:42:34] >gluster --version
glusterfs 3.4.0.14rhs built on Jul 30 2013 09:09:36


How reproducible:
=====================
We tried to re-create this issue several times (more than 10 times) but couldn't hit the same bug. Logging this bug for the purpose of tracking the issue. 

Steps to Reproduce:
===================
1.Create 3 x 2 distribute-replicate volume. Start the volume. 

gluster v info vol_dis_rep
 
Volume Name: vol_dis_rep
Type: Distributed-Replicate
Volume ID: e8fd704d-f0b4-4b68-bfb2-dd19553c1a68
Status: Created
Number of Bricks: 3 x 2 = 6
Transport-type: tcp
Bricks:
Brick1: king:/rhs/bricks/b0
Brick2: hicks:/rhs/bricks/b1
Brick3: king:/rhs/bricks/b2
Brick4: hicks:/rhs/bricks/b3
Brick5: king:/rhs/bricks/b4
Brick6: hicks:/rhs/bricks/b5


2.Create a fuse mount. Open a fd on a file. 
(touch host.conf ; exec 5>./host.conf ; tail -f ./host.conf)

3.Remove the bricks which has the file "host.conf" 

( gluster v remove-brick vol_dis_rep replica 2 king:/rhs/bricks/b2 hicks:/rhs/bricks/b3 start

gluster v remove-brick vol_dis_rep replica 2 king:/rhs/bricks/b2 hicks:/rhs/bricks/b3 status

gluster v remove-brick vol_dis_rep replica 2 king:/rhs/bricks/b2 hicks:/rhs/bricks/b3 commit )

4. When the commit operation is done , immediately write to the file from mount point ( root@darrel [Aug-02-2013-16:11:03] >for i in `seq 1 1000`; do echo "Hello World $i" >&5; sleep 1 ; done )

Actual results:
=================
[2013-08-01 04:52:46.045254] W [fuse-bridge.c:2773:fuse_flush_resume] 0-glusterfs-fuse: 645: FLUSH() inode migration of (null) failed (Bad file descriptor)
[2013-08-01 04:52:46.045353] W [fuse-resolve.c:658:fuse_resolve_fd] 0-fuse-resolve: migration of basefd (ptr:0x1e5934c inode-gfid:dc6f0061-59df-4660-bd1f-c6cf4f16734c) did not complete, failing fop with EBADF (old-subvolume:vol-test-0 new-subvolume:vol-test-1)
[2013-08-01 04:52:46.045414] W [fuse-bridge.c:2773:fuse_flush_resume] 0-glusterfs-fuse: 646: FLUSH() inode migration of (null) failed (Bad file descriptor)
[2013-08-01 04:52:51.046858] W [fuse-resolve.c:658:fuse_resolve_fd] 0-fuse-resolve: migration of basefd (ptr:0x1e59424 inode-gfid:dc6f0061-59df-4660-bd1f-c6cf4f16734c) did not complete, failing fop with EBADF (old-subvolume:vol-test-0 new-subvolume:vol-test-1)
[2013-08-01 04:52:51.047059] W [fuse-bridge.c:2773:fuse_flush_resume] 0-glusterfs-fuse: 647: FLUSH() inode migration of (null) failed (Bad file descriptor)
[2013-08-01 04:52:51.047709] W [fuse-resolve.c:658:fuse_resolve_fd] 0-fuse-resolve: migration of basefd (ptr:0x1e5934c inode-gfid:dc6f0061-59df-4660-bd1f-c6cf4f16734c) did not complete, failing fop with EBADF (old-subvolume:vol-test-0 new-subvolume:vol-test-1)
[2013-08-01 04:52:51.047746] W [fuse-bridge.c:2773:fuse_flush_resume] 0-glusterfs-fuse: 648: FLUSH() inode migration of (null) failed (Bad file descriptor)
[2013-08-01 04:52:51.052445] W [fuse-resolve.c:658:fuse_resolve_fd] 0-fuse-resolve: migration of basefd (ptr:0x1e59424 inode-gfid:dc6f0061-59df-4660-bd1f-c6cf4f16734c) did not complete, failing fop with EBADF (old-subvolume:vol-test-0 new-subvolume:vol-test-1)

Additional info:
===============
We have not collected the sosreport for this bug. 

We observed the bug https://bugzilla.redhat.com/show_bug.cgi?id=991402  while trying to recreate this issue.
Comment 2 Vivek Agarwal 2015-12-03 12:19:22 EST
Thank you for submitting this issue for consideration in Red Hat Gluster Storage. The release for which you requested us to review, is now End of Life. Please See https://access.redhat.com/support/policy/updates/rhs/

If you can reproduce this bug against a currently maintained version of Red Hat Gluster Storage, please feel free to file a new report against the current release.

Note You need to log in before you can comment on or make changes to this bug.